Summary:       Library for performing syntax highlighting in Qt documents
Name:          source-highlight-qt
Version:       0.2.3
Release:       10%{?dist}
License:       GPLv3
URL:           http://srchiliteqt.sourceforge.net/
Source0:       http://downloads.sourceforge.net/project/srchiliteqt/source-highlight-qt/source-highlight-qt-%{version}.tar.gz
BuildRequires: boost-devel
BuildRequires: source-highlight-devel
BuildRequires: qt-devel

%description
Source-highlight-qt is a library for performing syntax highlighting in
Qt documents by relying on GNU Source-Highlight library.

Although the use of GNU Source-highlight library is pretty hidden by
this library, so the programmer must not need the details of GNU
Source-highlight library, yet, some general notions of GNU
Source-highlight might be useful.

%package       devel
Summary:       Header files, libraries and development documentation for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Requires:      source-highlight-devel
Requires:      qt-devel
Requires:      boost-devel

%description   devel
This package contains the header files, static libraries and
development documentation for source-highlight-qt. If you like to
develop programs using source-highlight-qt, you will need to install
source-highlight-qt-devel.

%prep
%setup -q

%build
%configure --with-qt=%{_libdir}/qt4/bin
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name \*.a -delete
find %{buildroot} -name \*.la -delete
mv %{buildroot}/usr/share/doc/source-highlight-qt/examples __examples
mv %{buildroot}/usr/share/doc/source-highlight-qt/source-highlight-qt.html .
rm -rf %{buildroot}/usr/share/{doc,info}

%check
pushd lib/tests
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS THANKS TODO.txt
%{_libdir}/libsource-highlight-qt4.so.3*

%files devel
%doc __examples/* source-highlight-qt.html
%{_includedir}/srchiliteqt
%{_libdir}/libsource-highlight-qt4.so
%{_libdir}/pkgconfig/source-highlight-qt4.pc

%changelog
* Wed Jan 28 2015 Petr Machata <pmachata@redhat.com> - 0.2.3-10
- Rebuild for boost 1.57.0

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.2.3-7
- rebuild for boost 1.55.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 28 2013 Petr Machata <pmachata@redhat.com> - 0.2.3-5
- Rebuild for boost 1.54.0

* Wed Jun 26 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.2.3-4
- Add boost-devel as req

* Thu Mar 07 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.2.3-3
- fix req in -devel subpackage

* Fri Mar 01 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.2.3-2
- enable tests
- remove buildroot cleaning

* Mon Feb 25 2013 Terje Rosten <terje.rosten@ntnu.no> - 0.2.3-1
- initial package
